">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Processable::Installable::Relation - Lintian interface to binary package data collection

# SYNOPSIS

        my ($name, $type, $dir) = ('foobar', 'binary', '/path/to/lab-entry');
        my $collect = Lintian::Processable::Installable::Relation->new($name);

# DESCRIPTION

Lintian::Processable::Installable::Relation provides an interface to package data for binary packages. It implements data collection methods specific to binary packages.

This module is in its infancy. Most of Lintian still reads all data from files in the laboratory whenever that data is needed and generates that data via collect scripts. The goal is to eventually access all data about binary packages via this module so that the module can cache data where appropriate and possibly retire collect scripts in favor of caching that data in memory.

Native heuristics are only available in source packages.

# INSTANCE METHODS

relation (FIELD)

  Returns a Lintian::Relation object for the specified FIELD, which should be one of the possible relationship fields of a Debian package or one of the following special values:

  All

    The concatenation of Pre-Depends, Depends, Recommends, and Suggests.

  Strong

    The concatenation of Pre-Depends and Depends.

  Weak

    The concatenation of Recommends and Suggests.

  If FIELD isn't present in the package, the returned Lintian::Relation object will be empty (always present and satisfies nothing).

saved_relations

# AUTHOR

Originally written by Frank Lichtenheld <djpig@debian.org> for Lintian. Amended by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1)

<<